﻿////mr-bundler-ignore
var MrModify = function () {}
function MrStartUI() {
    MrMUISecoundryColor = '#FF7F27';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxHeight = "92vh";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 315;
    MrAudCid = 61;
    MrSortLanguages = true;
    MrArabicUIisOn = document.getElementById("ddllangugeSelected").innerText == "العربية"
    MrArabicFlag = "ar";

    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {

            var selectElement = document.getElementById("ddllanguge");
selectElement.value = "ar";
selectElement.dispatchEvent(new Event('change'));
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

            var selectElement = document.getElementById("ddllanguge");
selectElement.value = "en";
selectElement.dispatchEvent(new Event('change'));
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrText2Speech","MrControl_Page_contrast","MrCursor_Helpers",
    "MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing",
    "MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments",
    "MrHideImgs","MrPage_Structure"],
    ["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 27px; left: 10px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 50%;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:38px}",
        "MrbuttonCSS"
    );

    MrUAPAddStyle("#MrMUIFooter {width: 96%;}","MrUIFix");
    jQuery("body").append(MrIconToAdd);
  
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});